Get Governance Policy
get
/v1/governance/policy
Returns the approval threshold and approver count for a policy UUID.
Request
Query Parameters
-
uuid(required): string(uuid)
UUID identifying the policy scope.Example:
cafe0000-0000-4000-8000-000000000000
There's no request body for this operation.
Security
-
bearerAuth: http
Type:
http
Response
Supported Media Types
- application/json
200 Response
Policy retrieved successfully.
Root Schema : GetPolicyResponse
Type:
Show Source
object-
approverCount(required): integer
Minimum Value:
0Number of configured policy approvers. -
threshold(required): integer
Minimum Value:
0Number of approvals required by the policy.
400 Response
Bad request.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
401 Response
Unauthorized.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
403 Response
The authenticated user is not authorized to access the requested wallet or operation.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
404 Response
No policy exists for the specified UUID.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.
500 Response
Internal server error.
Root Schema : Error
Type:
Show Source
object-
code: string
Example:
bad_request -
details: array
details
-
message(required): string
Example:
The request could not be processed.